diff --git a/tests/backoffice_pages/test_filters.py b/tests/backoffice_pages/test_filters.py
index 6a88f65b1..6ab17fec1 100644
--- a/tests/backoffice_pages/test_filters.py
+++ b/tests/backoffice_pages/test_filters.py
@@ -349,47 +349,32 @@ def test_backoffice_item_filter(pub):
     assert resp.text.count('<td>b</td>') == 0
     assert resp.text.count('<td>d</td>') > 0
 
-    if not pub.is_using_postgresql():
-        # in pickle all options are always displayed
+    # in postgresql, option 'c' is never used so not even listed
+    with pytest.raises(ValueError):
         resp.forms['listing-settings']['filter-4-value'].value = 'c'
-        resp.forms['listing-settings']['filter-4-operator'].value = 'eq'
-        resp = resp.forms['listing-settings'].submit()
-        assert resp.text.count('<td>â</td>') == 0
-        assert resp.text.count('<td>b</td>') == 0
-        assert resp.text.count('<td>c</td>') == 0
 
-    else:
-        # in postgresql, option 'c' is never used so not even listed
-        with pytest.raises(ValueError):
-            resp.forms['listing-settings']['filter-4-value'].value = 'c'
+    # check json view used to fill select filters from javascript
+    resp2 = app.get(resp.request.path + 'filter-options?filter_field_id=4&' + resp.request.query_string)
+    assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
+    resp2 = app.get(
+        resp.request.path + 'filter-options?filter_field_id=4&_search=d&' + resp.request.query_string
+    )
+    assert [x['id'] for x in resp2.json['data']] == ['d']
+    resp2 = app.get(
+        resp.request.path + 'filter-options?filter_field_id=7&' + resp.request.query_string, status=404
+    )
 
-        # check json view used to fill select filters from javascript
+    for status in ('all', 'waiting', 'pending', 'done', 'accepted'):
+        resp.forms['listing-settings']['filter'] = status
+        resp = resp.forms['listing-settings'].submit()
         resp2 = app.get(resp.request.path + 'filter-options?filter_field_id=4&' + resp.request.query_string)
-        assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
-        resp2 = app.get(
-            resp.request.path + 'filter-options?filter_field_id=4&_search=d&' + resp.request.query_string
-        )
-        assert [x['id'] for x in resp2.json['data']] == ['d']
-        resp2 = app.get(
-            resp.request.path + 'filter-options?filter_field_id=7&' + resp.request.query_string, status=404
-        )
-
-        for status in ('all', 'waiting', 'pending', 'done', 'accepted'):
-            resp.forms['listing-settings']['filter'] = status
-            resp = resp.forms['listing-settings'].submit()
-            resp2 = app.get(
-                resp.request.path + 'filter-options?filter_field_id=4&' + resp.request.query_string
-            )
-            if status == 'accepted':
-                assert [x['id'] for x in resp2.json['data']] == []
-            else:
-                assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
+        if status == 'accepted':
+            assert [x['id'] for x in resp2.json['data']] == []
+        else:
+            assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
 
 
 def test_backoffice_item_double_filter(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -566,40 +551,28 @@ def test_backoffice_bofield_item_filter(pub):
     assert resp.text.count('<td>b</td>') == 0
     assert resp.text.count('<td>d</td>') > 0
 
-    if not pub.is_using_postgresql():
-        # in pickle all options are always displayed
+    # in postgresql, option 'c' is never used so not even listed
+    with pytest.raises(ValueError):
         resp.forms['listing-settings']['filter-bo0-1-value'].value = 'c'
-        resp.forms['listing-settings']['filter-bo0-1-operator'].value = 'eq'
-        resp = resp.forms['listing-settings'].submit()
-        assert resp.text.count('<td>â</td>') == 0
-        assert resp.text.count('<td>b</td>') == 0
-        assert resp.text.count('<td>c</td>') == 0
 
-    else:
-        # in postgresql, option 'c' is never used so not even listed
-        with pytest.raises(ValueError):
-            resp.forms['listing-settings']['filter-bo0-1-value'].value = 'c'
+    # check json view used to fill select filters from javascript
+    resp2 = app.get(resp.request.path + 'filter-options?filter_field_id=bo0-1&' + resp.request.query_string)
+    assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
+    resp2 = app.get(
+        resp.request.path + 'filter-options?filter_field_id=bo0-1&_search=d&' + resp.request.query_string
+    )
+    assert [x['id'] for x in resp2.json['data']] == ['d']
 
-        # check json view used to fill select filters from javascript
+    for status in ('all', 'waiting', 'pending', 'done', 'accepted'):
+        resp.forms['listing-settings']['filter'] = status
+        resp = resp.forms['listing-settings'].submit()
         resp2 = app.get(
             resp.request.path + 'filter-options?filter_field_id=bo0-1&' + resp.request.query_string
         )
-        assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
-        resp2 = app.get(
-            resp.request.path + 'filter-options?filter_field_id=bo0-1&_search=d&' + resp.request.query_string
-        )
-        assert [x['id'] for x in resp2.json['data']] == ['d']
-
-        for status in ('all', 'waiting', 'pending', 'done', 'accepted'):
-            resp.forms['listing-settings']['filter'] = status
-            resp = resp.forms['listing-settings'].submit()
-            resp2 = app.get(
-                resp.request.path + 'filter-options?filter_field_id=bo0-1&' + resp.request.query_string
-            )
-            if status == 'accepted':
-                assert [x['id'] for x in resp2.json['data']] == []
-            else:
-                assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
+        if status == 'accepted':
+            assert [x['id'] for x in resp2.json['data']] == []
+        else:
+            assert [x['id'] for x in resp2.json['data']] == ['â', 'b', 'd']
 
 
 def test_backoffice_items_filter(pub):
@@ -681,18 +654,9 @@ def test_backoffice_items_filter(pub):
     assert resp.text.count('<td>â</td>') > 0
     assert resp.text.count('<td>b, d</td>') == 0
 
-    if pub.is_using_postgresql():
-        # option 'c' is never used so not even listed
-        with pytest.raises(ValueError):
-            resp.forms['listing-settings']['filter-4-value'].value = 'c'
-    else:
+    # option 'c' is never used so not even listed
+    with pytest.raises(ValueError):
         resp.forms['listing-settings']['filter-4-value'].value = 'c'
-        resp.forms['listing-settings']['filter-4-operator'].value = 'eq'
-        resp = resp.forms['listing-settings'].submit()
-        assert resp.text.count('<td>â, b</td>') == 0
-        assert resp.text.count('<td>â</td>') == 0
-        assert resp.text.count('<td>b, d</td>') == 0
-        assert resp.text.count('data-link') == 0  # no rows
 
 
 def test_backoffice_items_cards_filter(pub):
@@ -766,22 +730,13 @@ def test_backoffice_items_cards_filter(pub):
     resp.forms['listing-settings']['filter-1'].checked = True
     resp = resp.forms['listing-settings'].submit()
 
-    if pub.is_using_postgresql():
-        # option 'bar' is never used so not even listed
-        assert [x[2] for x in resp.forms['listing-settings']['filter-1-value'].options] == [
-            '',
-            'card baz',
-            'card foo',
-            'card foo, bar',
-        ]
-    else:
-        assert [x[2] for x in resp.forms['listing-settings']['filter-1-value'].options] == [
-            '',
-            'card bar',
-            'card baz',
-            'card foo',
-            'card foo, bar',
-        ]
+    # option 'bar' is never used so not even listed
+    assert [x[2] for x in resp.forms['listing-settings']['filter-1-value'].options] == [
+        '',
+        'card baz',
+        'card foo',
+        'card foo, bar',
+    ]
 
     resp.forms['listing-settings']['filter-1-value'].value = card_ids['foo']
     resp = resp.forms['listing-settings'].submit()
@@ -957,9 +912,6 @@ def test_backoffice_email_filter(pub):
 
 
 def test_backoffice_date_filter(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
@@ -1363,9 +1315,6 @@ def test_backoffice_table_varname_filter(pub):
 
 
 def test_backoffice_block_field_filter(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-
     pub.user_class.wipe()
     create_superuser(pub)
     pub.role_class.wipe()
diff --git a/tests/backoffice_pages/test_form_inspect.py b/tests/backoffice_pages/test_form_inspect.py
index 7e15e4419..249835ab2 100644
--- a/tests/backoffice_pages/test_form_inspect.py
+++ b/tests/backoffice_pages/test_form_inspect.py
@@ -349,10 +349,6 @@ def test_inspect_page(pub, local_user):
 
 
 def test_inspect_page_with_related_objects(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     user = create_user(pub, is_admin=True)
 
     FormDef.wipe()
@@ -746,10 +742,6 @@ def test_inspect_page_map_field(pub, local_user):
 
 
 def test_inspect_page_lazy_list(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     FormDef.wipe()
 
     formdef = FormDef()
diff --git a/tests/backoffice_pages/test_statistics.py b/tests/backoffice_pages/test_statistics.py
index 8205c5b9d..23e6d8f34 100644
--- a/tests/backoffice_pages/test_statistics.py
+++ b/tests/backoffice_pages/test_statistics.py
@@ -38,13 +38,12 @@ def test_backoffice_statistics_with_no_formdefs(pub):
     create_user(pub)
     create_environment(pub)
     FormDef.wipe()
-    if pub.is_using_postgresql():
-        from wcs.sql import drop_global_views, get_connection_and_cursor
+    from wcs.sql import drop_global_views, get_connection_and_cursor
 
-        conn, cur = get_connection_and_cursor()
-        drop_global_views(conn, cur)
-        conn.commit()
-        cur.close()
+    conn, cur = get_connection_and_cursor()
+    drop_global_views(conn, cur)
+    conn.commit()
+    cur.close()
 
     app = login(get_app(pub))
     resp = app.get('/backoffice/management/statistics')
@@ -72,14 +71,11 @@ def test_backoffice_statistics_status_filter(pub):
     assert 'Total number of records: 17' in resp.text
     assert '<h2>Filters</h2>' in resp.text
     assert 'Status: Open' in resp.text
-    if pub.is_using_postgresql():
-        resp.forms['listing-settings']['filter'].value = 'waiting'
-        resp = resp.forms['listing-settings'].submit()
-        assert 'Total number of records: 17' in resp.text
-        assert '<h2>Filters</h2>' in resp.text
-        assert 'Status: Waiting for an action' in resp.text
-    else:
-        assert 'waiting' not in [x[0] for x in resp.forms['listing-settings']['filter'].options]
+    resp.forms['listing-settings']['filter'].value = 'waiting'
+    resp = resp.forms['listing-settings'].submit()
+    assert 'Total number of records: 17' in resp.text
+    assert '<h2>Filters</h2>' in resp.text
+    assert 'Status: Waiting for an action' in resp.text
 
     resp.forms['listing-settings']['filter'].value = 'done'
     resp = resp.forms['listing-settings'].submit()
diff --git a/tests/form_pages/test_all.py b/tests/form_pages/test_all.py
index 0f6cdd9be..dfc0a84d7 100644
--- a/tests/form_pages/test_all.py
+++ b/tests/form_pages/test_all.py
@@ -1521,12 +1521,7 @@ def test_form_submit_with_just_disabled_user(pub, emails):
     user.store()
     resp = resp.form.submit('submit')
     resp = resp.follow()
-    if pub.is_using_postgresql():
-        assert 'Sorry, your session have been lost.' in resp
-    else:
-        assert 'The form has been recorded' in resp
-        assert formdef.data_class().count() == 1
-        assert formdef.data_class().select()[0].user_id is None
+    assert 'Sorry, your session have been lost.' in resp
 
 
 def test_form_titles(pub):
@@ -2836,9 +2831,8 @@ def test_form_multi_page_post_edit(pub):
     assert formdef.data_class().get(data_id).evolution[-1].status == 'wf-%s' % st2.id
 
     # jump to a nonexistent status == do not jump, but add a LoggedError
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
-        assert pub.loggederror_class.count() == 0
+    pub.loggederror_class.wipe()
+    assert pub.loggederror_class.count() == 0
     editable.status = 'deleted_status_id'
     workflow.store()
     # go back to st1
@@ -2854,15 +2848,14 @@ def test_form_multi_page_post_edit(pub):
     resp = resp.forms[0].submit('submit')
     resp = resp.follow()
     assert formdef.data_class().get(data_id).status == 'wf-%s' % st1.id  # stay on st1
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.formdata_id == str(formdata.id)
-        assert logged_error.formdef_id == formdef.id
-        assert logged_error.workflow_id == workflow.id
-        assert logged_error.status_id == st1.id
-        assert logged_error.status_item_id == editable.id
-        assert logged_error.occurences_count == 1
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.formdata_id == str(formdata.id)
+    assert logged_error.formdef_id == formdef.id
+    assert logged_error.workflow_id == workflow.id
+    assert logged_error.status_id == st1.id
+    assert logged_error.status_item_id == editable.id
+    assert logged_error.occurences_count == 1
 
     # do it again: increment logged_error.occurences_count
     page = login(get_app(pub), username='foo', password='foo').get('/test/%s/' % data_id)
@@ -2873,10 +2866,9 @@ def test_form_multi_page_post_edit(pub):
     resp = resp.forms[0].submit('submit')
     resp = resp.follow()
     assert formdef.data_class().get(data_id).status == 'wf-%s' % st1.id  # stay on st1
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.occurences_count == 2
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.occurences_count == 2
 
 
 def test_form_edit_autocomplete_list(pub):
@@ -3765,11 +3757,10 @@ def test_form_page_template_prefill_items_field(pub):
             assert not resp.form['f0$elementbar'].checked
             assert not resp.form['f0$elementbaz'].checked
 
-            if pub.is_using_postgresql():
-                assert pub.loggederror_class.count() == 1
-                logged_error = pub.loggederror_class.select()[0]
-                assert logged_error.summary == 'Invalid value for items prefill on field "items"'
-                pub.loggederror_class.wipe()
+            assert pub.loggederror_class.count() == 1
+            logged_error = pub.loggederror_class.select()[0]
+            assert logged_error.summary == 'Invalid value for items prefill on field "items"'
+            pub.loggederror_class.wipe()
 
 
 def test_form_page_changing_prefill(pub):
@@ -5006,13 +4997,8 @@ def test_form_autosave_never_overwrite(mocker, pub, settings):
     autosave_data['_ajax_form_token'] = resp.form['_form_id'].value
     resp_autosave = app.post('/test/autosave', params=autosave_data)
     formdata.refresh_from_storage()
-    if pub.is_using_postgresql():
-        assert resp_autosave.json != {'result': 'success'}
-        assert formdata.data['3'] == '1'
-    else:
-        # with pickle invalid data has been saved
-        assert resp_autosave.json == {'result': 'success'}
-        assert formdata.data['3'] == 'tmp'
+    assert resp_autosave.json != {'result': 'success'}
+    assert formdata.data['3'] == '1'
     # validate
     resp = resp.form.submit('submit')  # -> submit
 
@@ -5546,10 +5532,9 @@ def test_workflow_message_with_template_error(pub):
     resp = resp.follow()
     assert 'Error rendering message.' in resp.text
 
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.summary == "Error in template of workflow message ('int' object is not iterable)"
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.summary == "Error in template of workflow message ('int' object is not iterable)"
 
 
 def test_session_cookie_flags(pub):
@@ -6030,10 +6015,7 @@ def test_item_field_from_custom_view_on_cards(pub):
     app = login(get_app(pub), username='foo', password='foo')
 
     resp = app.get('/backoffice/data/items/')
-    if pub.is_using_postgresql():
-        assert resp.text.count('<tr') == 21  # thead + 20 items (max per page)
-    else:
-        assert resp.text.count('<tr') == 31  # thead + all items
+    assert resp.text.count('<tr') == 21  # thead + 20 items (max per page)
     resp.forms['listing-settings']['filter-0'].checked = True
     resp = resp.forms['listing-settings'].submit()
 
@@ -6524,11 +6506,10 @@ def test_item_field_autocomplete_json_source(http_requests, pub, error_email, em
         resp2 = app.get(select2_url + '?q=hell')
         assert emails.count() == 1
         assert emails.get_latest('subject') == '[ERROR] [DATASOURCE] Error loading JSON data source (...)'
-        if pub.is_using_postgresql():
-            assert pub.loggederror_class.count() == 1
-            logged_error = pub.loggederror_class.select()[0]
-            assert logged_error.workflow_id is None
-            assert logged_error.summary == '[DATASOURCE] Error loading JSON data source (...)'
+        assert pub.loggederror_class.count() == 1
+        logged_error = pub.loggederror_class.select()[0]
+        assert logged_error.workflow_id is None
+        assert logged_error.summary == '[DATASOURCE] Error loading JSON data source (...)'
 
         data_source.notify_on_errors = False
         data_source.store()
@@ -6891,10 +6872,6 @@ def test_form_data_keywords(pub):
 
 
 def test_logged_errors(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     Workflow.wipe()
     workflow = Workflow.get_default_workflow()
     workflow.id = '12'
@@ -8896,11 +8873,9 @@ def test_create_formdata_empty_item_ds_with_id_parameter(pub, create_formdata):
         resp = resp.form.submit('submit')  # -> submission
         resp = resp.follow()
         assert create_formdata['target_formdef'].data_class().count() == 0
-        if pub.is_using_postgresql():
-            assert pub.loggederror_class.count() == 0
+        assert pub.loggederror_class.count() == 0
         resp = resp.form.submit('button_resubmit')
-        if pub.is_using_postgresql():
-            assert pub.loggederror_class.count() == 0
+        assert pub.loggederror_class.count() == 0
 
 
 def test_create_formdata_locked_prefill_parent(create_formdata):
diff --git a/tests/form_pages/test_block.py b/tests/form_pages/test_block.py
index f07d93a16..4ab7c3a32 100644
--- a/tests/form_pages/test_block.py
+++ b/tests/form_pages/test_block.py
@@ -1808,14 +1808,13 @@ def test_removed_block_in_form_page(pub):
     resp = get_app(pub).get(formdef.get_url(), status=500)
     assert 'A fatal error happened.' in resp.text
 
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert '(id:%s)' % logged_error.id in resp.text
-        resp = get_app(pub).get(formdef.get_url(), status=500)
-        assert '(id:%s)' % logged_error.id in resp.text
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.occurences_count == 2
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert '(id:%s)' % logged_error.id in resp.text
+    resp = get_app(pub).get(formdef.get_url(), status=500)
+    assert '(id:%s)' % logged_error.id in resp.text
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.occurences_count == 2
 
 
 def test_block_with_static_condition(pub):
diff --git a/tests/form_pages/test_computed_field.py b/tests/form_pages/test_computed_field.py
index 9f3fc8f3b..22086e0c3 100644
--- a/tests/form_pages/test_computed_field.py
+++ b/tests/form_pages/test_computed_field.py
@@ -631,8 +631,7 @@ def test_computed_field_with_data_source(pub):
 
 
 def test_computed_field_with_bad_objects_filter_in_prefill(pub):
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     CardDef.wipe()
     FormDef.wipe()
 
@@ -676,22 +675,20 @@ def test_computed_field_with_bad_objects_filter_in_prefill(pub):
     formdef.store()
     resp = get_app(pub).get('/test/')
     assert 'XY' in resp.text
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[0]
-        assert logged_error.summary == 'wcs.carddef.CardDefDoesNotExist: unknown'
-        assert logged_error.formdef_id == formdef.id
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert (
-            logged_error.summary
-            == 'Invalid value "{{ cards|objects:"unknown"|first|get:"form_number_raw"|default:"" }}" for field "computed"'
-        )
-        assert logged_error.formdef_id == formdef.id
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[0]
+    assert logged_error.summary == 'wcs.carddef.CardDefDoesNotExist: unknown'
+    assert logged_error.formdef_id == formdef.id
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert (
+        logged_error.summary
+        == 'Invalid value "{{ cards|objects:"unknown"|first|get:"form_number_raw"|default:"" }}" for field "computed"'
+    )
+    assert logged_error.formdef_id == formdef.id
 
 
 def test_computed_field_with_bad_value_type_in_prefill(pub):
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     CardDef.wipe()
     FormDef.wipe()
 
@@ -740,11 +737,10 @@ def test_computed_field_with_bad_value_type_in_prefill(pub):
     formdef.store()
     resp = get_app(pub).get('/test/')
     assert 'XY' in resp.text
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.summary == 'Invalid value "foo" for field "computed"'
-        assert logged_error.formdef_id == formdef.id
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.summary == 'Invalid value "foo" for field "computed"'
+    assert logged_error.formdef_id == formdef.id
 
     formdef.fields[0].value_template = (
         '{{ cards|objects:"%s"|first|get:"form_var_bool"|default:"" }}' % carddef.url_name
@@ -752,11 +748,10 @@ def test_computed_field_with_bad_value_type_in_prefill(pub):
     formdef.store()
     resp = get_app(pub).get('/test/')
     assert 'XY' in resp.text
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.summary == 'Invalid value "True" for field "computed"'
-        assert logged_error.formdef_id == formdef.id
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.summary == 'Invalid value "True" for field "computed"'
+    assert logged_error.formdef_id == formdef.id
 
     for value_template in [
         '{{ cards|objects:"%s"|get:42|get:"form_number_raw" }}' % carddef.url_name,
@@ -766,5 +761,4 @@ def test_computed_field_with_bad_value_type_in_prefill(pub):
         formdef.store()
         resp = get_app(pub).get('/test/')
         assert 'XY' in resp.text
-        if pub.is_using_postgresql():
-            assert pub.loggederror_class.count() == 2
+        assert pub.loggederror_class.count() == 2
diff --git a/tests/form_pages/test_file_field.py b/tests/form_pages/test_file_field.py
index 27f3c81ec..8f1d59565 100644
--- a/tests/form_pages/test_file_field.py
+++ b/tests/form_pages/test_file_field.py
@@ -392,10 +392,9 @@ def test_form_file_field_with_wrong_value(pub):
     formdef.store()
 
     get_app(pub).get('/test/')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.formdef_id == formdef.id
-        assert logged_error.summary == 'Failed to set value on field "file"'
-        assert logged_error.exception_class == 'AttributeError'
-        assert logged_error.exception_message == "'str' object has no attribute 'time'"
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.formdef_id == formdef.id
+    assert logged_error.summary == 'Failed to set value on field "file"'
+    assert logged_error.exception_class == 'AttributeError'
+    assert logged_error.exception_message == "'str' object has no attribute 'time'"
diff --git a/tests/form_pages/test_formdata.py b/tests/form_pages/test_formdata.py
index 13ef1e668..80f4441cd 100644
--- a/tests/form_pages/test_formdata.py
+++ b/tests/form_pages/test_formdata.py
@@ -780,11 +780,10 @@ def test_formdata_generated_document_odt_to_pdf_download_push_to_portfolio(
         http_post_request.return_value = None, 400, '{"code": "document-exists"}', None  # fail
         resp = resp.form.submit('button_export_to')
         assert http_post_request.call_count == 1
-        if pub.is_using_postgresql():
-            error = pub.loggederror_class.select()[0]
-            assert error.summary.startswith("file 'template.pdf' failed to be pushed to portfolio of 'Foo")
-            assert 'status: 400' in error.summary
-            assert "payload: {'code': 'document-exists'}" in error.summary
+        error = pub.loggederror_class.select()[0]
+        assert error.summary.startswith("file 'template.pdf' failed to be pushed to portfolio of 'Foo")
+        assert 'status: 400' in error.summary
+        assert "payload: {'code': 'document-exists'}" in error.summary
 
     # failed to push to portfolio, but document is here
     resp = resp.follow()  # $form/$id/create_doc
diff --git a/tests/form_pages/test_live.py b/tests/form_pages/test_live.py
index e88d98d87..e867894d9 100644
--- a/tests/form_pages/test_live.py
+++ b/tests/form_pages/test_live.py
@@ -1320,10 +1320,6 @@ def test_field_live_locked_error_prefilled_field(pub, http_requests):
 
 @pytest.mark.parametrize('field_type', ['item', 'string', 'email'])
 def test_dynamic_item_field_from_custom_view_on_cards(pub, field_type):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     pub.custom_view_class.wipe()
 
@@ -1461,23 +1457,17 @@ def test_dynamic_item_field_from_custom_view_on_cards(pub, field_type):
     assert formdef.data_class().select()[0].data['1_structured']['item'] == 'baz'
 
     # delete custom view
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     custom_view.remove_self()
     resp = get_app(pub).get('/test/')
     assert resp.form['f1'].options == []
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.formdef_id == formdef.id
-        assert logged_error.summary == '[DATASOURCE] Unknown custom view "as-data-source" for CardDef "items"'
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.formdef_id == formdef.id
+    assert logged_error.summary == '[DATASOURCE] Unknown custom view "as-data-source" for CardDef "items"'
 
 
 def test_dynamic_items_field_from_custom_view_on_cards(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     pub.custom_view_class.wipe()
 
@@ -1606,23 +1596,17 @@ def test_dynamic_items_field_from_custom_view_on_cards(pub):
     assert formdef.data_class().select()[0].data['1_structured']['text'] == 'attr1 - foo,bar'
 
     # delete custom view
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     custom_view.remove_self()
     resp = get_app(pub).get('/test/')
     assert resp.form['f1'].options == []
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.formdef_id == formdef.id
-        assert logged_error.summary == '[DATASOURCE] Unknown custom view "as-data-source" for CardDef "items"'
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.formdef_id == formdef.id
+    assert logged_error.summary == '[DATASOURCE] Unknown custom view "as-data-source" for CardDef "items"'
 
 
 def test_dynamic_internal_id_from_custom_view_on_cards(pub):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.role_class.wipe()
     pub.custom_view_class.wipe()
 
